<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!--
module :
gnration de la partie "nom" de l'id

update : 
$Id$
fplod 2007-05-18T13:03:39Z aedon.locean-ipsl.upmc.fr (Darwin)
creation
cf http://www.dpawson.co.uk/xsl/sect2/N7998.html
There's a trick to this:

translate($x, translate($x, 'abcde', ''), '')

will remove all characters except a,b,c,d, and e from your string $x.
et String split into elements dans http://www.dpawson.co.uk/xsl/sect2/N7240.html
http://www.dpawson.co.uk/xsl/sect2/N7240.html
cf. http://www.dpawson.co.uk/xsl/sect2/N7240.html CRLF to BR
-->

<xsl:template name="surname_id">
 <xsl:param name="surname"/>
 <xsl:choose>
  <xsl:when test="contains($surname ,' ')">
   <xsl:call-template name="space_surname" >
    <xsl:with-param name="text" select="$surname"/>
   </xsl:call-template>
  </xsl:when>
  <xsl:otherwise>
<xsl:value-of select="translate($surname, 'abcdefghijklmnopqrstuvwxyz ', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ_EECAUEONO')"/>
  </xsl:otherwise>
 </xsl:choose>
</xsl:template>

<xsl:template name="space_surname">
 <xsl:param name="text"/>
 <xsl:choose>
   <xsl:when test="contains($text, ' ')">
   <xsl:variable name="transform">
<xsl:value-of select="translate(substring-before($text, ' '), 'abcdefghijklmnopqrstuvwxyz ', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ_EECAUEONO')"/>
   </xsl:variable>
   <xsl:value-of select="$transform"/>
     <xsl:text>_</xsl:text>
     <xsl:call-template name="space_surname">
       <xsl:with-param name="text" select="substring-after($text,' ')"/>
     </xsl:call-template>
   </xsl:when>
   <xsl:otherwise>
           <xsl:value-of select="translate($text, 'abcdefghijklmnopqrstuvwxyz ', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ_EECAUEONO')"/>
   </xsl:otherwise>
 </xsl:choose>
</xsl:template>
</xsl:stylesheet>
